PLM之家精品课程培训,联系电话:18301858168 QQ: 939801026

  • NX二次开培训

    NX二次开培训

    适合初级入门或想深入了解二次开发的工程师,本培训结合ufun,NXOpen C++,大量的实例及官方内部的开发技术对于老鸟也值得借鉴!.

    NX CAM二次开发培训报名 NX二次开发基础培训报名
  • PLM之家Catia CAA二次开发培训

    Catia二次开发培训

    Catia二次开发的市场大,这方面开发人才少,难度大。所以只要你掌握了开发,那么潜力巨大,随着时间的积累,你必将有所用武之地!

  • PLM之Teamcenter最佳学习方案

    Teamcenter培训

    用户应用基础培训,管理员基础培训,管理员高级培训,二次开发培训应有尽有,只要你感兴趣肯学习,专业多年经验大师级打造!

  • PLM之Tecnomatix制造领域培训

    Tecnomatix培训

    想了解制造领域数字化吗?想了解工厂,生产线设计吗?数字化双胞胎,工业4.0吗?我们的课程虚位以待!

PLM之家PLMHome-国产软件践行者

[二次开发源码] UG NX二次开发源码分享:有关用户设置方面的使用

[复制链接]

2014-3-13 11:22:36 2996 0

admin 发表于 2014-3-13 11:22:36 |阅读模式

admin 楼主

2014-3-13 11:22:36

请使用QQ关联注册PLM之家,学习更多关于内容,更多精彩原创视频供你学习!

您需要 登录 才可以下载或查看,没有账号?注册

x
有关用户设置的使用,如果你想设置一个模版文件,可以通过下列方式:
. X1 J+ O7 m  M- C/ @( T6 f5 T8 c" o& c) W- ^; ]- u% P$ D

  1. 5 r. |+ ]% V) t- |8 R. K; x
  2. #include <uf_defs.h>
    ; b5 b# x! X6 ]/ z& X5 p/ c! R
  3. #include <NXOpen/NXException.hxx>
    8 {, G' }! }2 o
  4. #include <NXOpen/Session.hxx>
    : T3 S1 F! t# G" i
  5. #include <NXOpen/Builder.hxx>7 a% O: u% R! g
  6. #include <NXOpen/FileNew.hxx>
    5 y3 n. T/ \# H0 _8 u, s; x
  7. #include <NXOpen/NXObject.hxx>
    ; Z" \7 T- \" Z% ?( X: s
  8. #include <NXOpen/Part.hxx>7 Q, Z6 O9 g/ `
  9. #include <NXOpen/ParTCollection.hxx>& u* E( y; n/ G
  10. #include <NXOpen/Preferences_PartPreferences.hxx>1 s6 U+ Q. j+ W2 B
  11. #include <NXOpen/Preferences_PartSketch.hxx>1 |/ S) ?5 }+ M! ?
  12. #include <NXOpen/Preferences_SessionPreferences.hxx>7 Q' u' w2 M# k. |, r7 E- M
  13. #include <NXOpen/Preferences_SessionSketch.hxx>
    1 L5 u% E( x! T% Z7 g* b2 i
  14. #include <NXOpen/Preferences_WorkPlane.hxx>
    / O9 f; ~5 P; T$ s9 h) ~
  15. #include <NXOpen/Session.hxx>- D/ T* M; H7 |9 {8 j1 W* n3 T
  16. using namespace NXOpen;
    7 N0 t1 d" p$ p4 Q5 G/ t2 G
  17. 6 s* g) E  |8 {$ j1 Z7 w& o% y. B# Z
  18. extern "C" DllExport int ufusr_ask_unload()/ S' P# Z8 z- p; i' Q' Y1 s' u
  19. {
    8 o$ d0 M. i$ @7 u7 y
  20.     return (int)Session::LibraryUnloadOptionImmediately;
    / s/ D1 L# [3 ~2 }6 S8 I" @! T- Q
  21. }
    7 g( q* D' V) {) G$ M# I7 T/ a! T
  22. 6 I3 K. _: G9 p% ]+ g0 z# ]  |' p2 r
  23. extern "C" DllExport void ufusr(char *param, int *retCode, int paramLen); v1 o0 [5 X* J, D/ \, t
  24. {
    * d# y9 i& `6 Y  D. T% `- J' C
  25.     Session *theSession = Session::GetSession();, s  ^( i0 D# u' t* R! {
  26. 7 ?9 x5 w4 V: O3 ^+ `: b8 P
  27.     //Creates New Part with name as Preferences.prt
    . o& [2 v+ C$ X8 @$ M7 Y
  28.     NXOpen::Part *part1;
    0 T3 Z9 {# e/ S4 s
  29.     part1=theSession->Parts()->NewDisplay("Preferences",Part::UnitsMillimeters); + d% w' f' o3 X2 A5 b! ~9 |
  30.     Part *workPart(theSession->Parts()->Work());+ P- a2 z' F$ s" m# t3 M' ?/ B
  31.     Part *displayPart(theSession->Parts()->Display());
    9 S: Y  n7 |7 B* B0 D
  32. : i: l% j. p: P# X8 R

  33. ! h5 [0 X3 ?6 }& y# F/ ]. ?. W

  34. + O5 A% M, q% V  a7 k/ R! p
  35.     // ----------------------------------------------, s" m! T: x# j5 s/ `0 H/ s9 k% Y
  36.     //  Changing Sketch Prefix names& l0 o( p7 e; r4 a: D
  37.     // ----------------------------------------------   
    ; V5 R) k& e/ b/ g2 t+ E  u
  38.       
    ; Z/ _# P+ n' t: G/ Q6 w5 [" s
  39.     theSession->Preferences()->Sketch()->SetDefaultSketchNamePrefix("SKT_");/ A5 W; ~. `9 Y

  40. . p' J' ~3 \" Z1 z
  41.     theSession->Preferences()->Sketch()->SetDefaultVertexNamePrefix("VRT_");
    7 K2 U6 {. O  X, x$ Q7 J8 ^

  42. # b+ f7 }7 ~( o8 X6 f
  43.     theSession->Preferences()->Sketch()->SetDefaultLineNamePrefix("LIN_");! i  M: r' i3 R1 B: e' J* V% v% P
  44. 7 m. G2 a' K- h8 s" S& |- E
  45.     theSession->Preferences()->Sketch()->SetDefaultArcNamePrefix("ARC_");
    3 P) v- ?. p3 j9 x* V7 a: u
  46. ' S" H1 E  n; R6 {  h: F$ {
  47.     theSession->Preferences()->Sketch()->SetDefaultConicNamePrefix("CON_");5 u" M& _0 ]; [) K3 `1 _/ ~
  48. 4 H2 l: {. E( B& M( U3 x% u
  49.     theSession->Preferences()->Sketch()->SetDefaultSplineNamePrefix("SPL_");       9 Z6 P, V4 s9 O1 z" H
  50.    ; w% K/ d/ i! d
  51.    
    6 f1 @2 H. j  j# d
  52.     // ----------------------------------------------% N: T3 N% z& j3 ^( u2 w
  53.     //  Changing Grid values: F9 @& H9 V# O4 E5 J
  54.     // ----------------------------------------------  ) u/ B; W& ~3 M
  55.     ; j* f1 N& C. U6 F
  56.     Preferences::WorkPlane *workPlane1;
    & U6 ?! W' O! o$ I- R; G9 c
  57.     workPlane1 = workPart->Preferences()->Workplane();, R/ ]4 w$ g; C" k8 Q  x! r
  58.     2 V$ m* J/ A6 w1 f4 _
  59.     workPlane1->SetGridType(Preferences::WorkPlane::GridPolar);0 j/ \0 }3 I* `9 y: b3 V1 q( j
  60.    
    7 {. u5 R! W# U
  61.     Preferences::WorkPlane::PolarGridSize polarGridSize1;
    ) ]+ {' [( U0 X7 r( J% @* [+ V" Z* _
  62.     polarGridSize1.RadialGridSize.MajorGridSpacing = 75.0;
    # [8 N: W8 p7 `! o4 T. S+ Q9 K
  63.     polarGridSize1.RadialGridSize.MinorLinesPerMajor = 3;
    ( \, @" h$ H5 s+ P
  64.     polarGridSize1.RadialGridSize.SnapPointsPerMinor = 5;
    7 z7 T7 B. ~+ r( @, ?& k2 W0 k
  65.     polarGridSize1.AngularGridSize.MajorGridSpacing = 45.0;
    6 l% m0 D! f4 [( f' w) M3 z
  66.     polarGridSize1.AngularGridSize.MinorLinesPerMajor = 4;' b  R7 F' Y: C4 e
  67.     polarGridSize1.AngularGridSize.SnapPointsPerMinor = 2;$ l! k# `! k( T: z. r
  68.     workPlane1->SetPolarGridSize(polarGridSize1);2 Q+ ~3 ~! ~/ ~
  69.    
    + E* g$ J; ?0 P! o6 W
  70.     workPlane1->SetShowGrid(true);
    $ H+ o4 \6 V: x3 {
  71.     7 U1 \% A/ E, Y. ~
  72.     workPlane1->SetShowLabels(false);
    ' Y5 R, h" r+ g6 i
  73.       S: P9 f# K) U9 |. U
  74.     workPlane1->SetSnapToGrid(false);% ?0 m: i- Z* ~4 K8 p
  75.     5 X" k% _. \& j, T7 m* g0 q
  76.     workPlane1->SetGridOnTop(false);5 c0 B, Y0 @  A8 A+ U* @- P$ o- N
  77.     3 i- c  \+ A" R8 m+ g% I
  78.     workPlane1->SetRectangularShowMajorLines(false);
    1 I  B( v- g# S. W; k
  79.    
    * o. I' }' c9 F) Z1 w. L
  80.     workPlane1->SetPolarShowMajorLines(true);
    6 ~8 _6 }  M" V. L# l- Q
  81.     - R- q. B- B; f6 P/ v7 X
  82.     workPlane1->SetGridColor(130);+ o. g" u4 \# w1 g3 @: j
  83. }
复制代码

7 |' q6 v( w: F# B1 b2 V2 G8 }) K% f2 q: B- i; @: f8 M) O
6 e3 S9 `# |0 I0 l8 }
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复

使用道具 举报

发表回复

您需要登录后才可以回帖 登录 | 注册

返回列表 本版积分规则

  • 发布新帖

  • 在线客服

  • 微信

  • 客户端

  • 返回顶部

  • x
    温馨提示

    本网站(plmhome.com)为PLM之家工业软件学习官网站

    展示的视频材料全部免费,需要高清和特殊技术支持请联系 QQ: 939801026

    PLM之家NX CAM二次开发专题模块培训报名开始啦

    我知道了